### Enumeration

# GLib IOCondition

#### Declaration

    flags GLib.IOCondition

#### Description [src]

A bitwise combination representing a condition to watch for on an event source.

#### Members

Name | Description
--- | ---
`G_IO_IN` | There is data to read.
`G_IO_OUT` | Data can be written (without blocking).
`G_IO_PRI` | There is urgent data to read.
`G_IO_ERR` | Error condition.
`G_IO_HUP` | Hung up (the connection has been broken, usually for pipes and sockets).
`G_IO_NVAL` | Invalid request. The file descriptor is not open.